Page MenuHomePhabricator

Special:Preferences: Reduce the size of the <textarea>s shown for UsersMultiselectWidget when in non-JS mode
Closed, ResolvedPublic

Description

There are two textareas in Special:Preferences when JS is disabled.

  • Prohibit these users from emailing me
  • Do not display notifications from these users

Both have rows=25 in HTML. This makes them appear too long, *especially when they are empty*. May be the default could be reduced a little (at least when the textareas are empty).

Event Timeline

Kaartic created this task.May 11 2018, 6:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2018, 6:28 PM
Jdforrester-WMF renamed this task from Special:Preferences-OOUI, No JS: reduce the number of default rows for the textarea to Special:Preferences: Reduce the size of the <textarea>s shown for UsersMultiselectWidget when in non-JS mode.May 11 2018, 9:35 PM
Jdforrester-WMF triaged this task as Low priority.
Vvjjkkii renamed this task from Special:Preferences: Reduce the size of the <textarea>s shown for UsersMultiselectWidget when in non-JS mode to u3caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Kaartic renamed this task from u3caaaaaaa to Special:Preferences: Reduce the size of the <textarea>s shown for UsersMultiselectWidget when in non-JS mode.Jul 1 2018, 1:08 PM
Kaartic lowered the priority of this task from High to Low.
Kaartic updated the task description. (Show Details)
Kaartic added a subscriber: Aklapper.
This comment was removed by Volker_E.
This comment was removed by Volker_E.

Change 444644 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] UsersMultiselectWidget: Reduce default non-JS rows to 10

https://gerrit.wikimedia.org/r/444644

@matmarex Was looking in the wrong corner at beginning… ;)

Reducing from

to

User resizing capabilities remain.

Change 444644 merged by jenkins-bot:
[mediawiki/core@master] UsersMultiselectWidget: Reduce default non-JS rows to 10

https://gerrit.wikimedia.org/r/444644

matmarex closed this task as Resolved.Jul 9 2018, 8:02 PM
matmarex removed a project: Patch-For-Review.
matmarex assigned this task to Volker_E.